OpenRouter
Integra
openrouter/router
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/openrouter/router?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"model": "anthropic/claude-opus-5.5"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/openrouter/router?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"model": "anthropic/claude-opus-5.5"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"model": "anthropic/claude-opus-5.5",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/openrouter/router", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/mt/developers/docs/mcp)
claude mcp add --transport http doitong-models https://api.doitong.com/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "openrouter/router",
"input": {
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"model": "anthropic/claude-opus-5.5"
}
}
Ċempel il-mudell OpenRouter (openrouter/router) permezz tad-Doitong API. Dokumentazzjoni għall-aġenti: https://doitong.com/mt/developers/models/openrouter/router.md
POST https://api.doitong.com/v1/run/openrouter/router?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"model": "anthropic/claude-opus-5.5"
}
Jekk l-istatus tar-rispons huwa "queued" jew "running", agħmel polling fuq GET https://api.doitong.com/v1/requests/REQUEST_ID?wait=20 sakemm ikun "succeeded"; il-fajls jinsabu f’outputs[].url. POST https://api.doitong.com/v1/quote/openrouter/router bl-istess body jirritorna l-prezz eżatt qabel it-tħaddim.
Sa $5.138 għal kull eżekuzzjoni titħallas skont l-użu attwali, il-bqija tiġi rifuża Ħaddmu f’din il-paġna
Iċ-ċavetta API l-ġdida tiegħek. Jintwera biss issa u diġà jinsab fil-kodiċi u fil-qasam taċ-ċavetta API hawn taħt. Żommu sigriet: qatt tpoġġih f’kodiċi li jaħdem f’browser.
L-ewwel riżultat tiegħek jidher hawn
Ibni talba hawn taħt u ħaddimha biċ-ċavetta API tiegħek. L-outputs jiġu kkupjati fil-ħażna tagħna, miżmuma għal dejjem jew 7 ijiem b’xejn.
Ibni talba
Il-kontrolli jiġu ġġenerati mill-iskema tal-mudell. Il-kodiċi u l-prezz jaġġornaw hekk kif tibdilhom.
/run/openrouter/router?wait=20
kwotazzjoni → $5.138
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/openrouter/router?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"model": "anthropic/claude-opus-5.5"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/openrouter/router?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"model": "anthropic/claude-opus-5.5"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"model": "anthropic/claude-opus-5.5",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/openrouter/router", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "openrouter/router",
"input": {
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"model": "anthropic/claude-opus-5.5"
},
"wait_seconds": 20
}
}
}
Ħaddem din it-talba
Iċ-ċavetta tiegħek tibqa’ f’dan il-browser: tintbagħat biss lid-Doitong API u tiġi ssejvjata (localStorage) biss jekk timmarka Ftakar. Ikseb ċavetta API
Dwar OpenRouter
Jibgħat `prompt` lil mudell tal-lingwa magħżul bil-parametru meħtieġ `model`. Inputs fakultattivi jinkludu `system_prompt`, `temperature` minn 0 sa 2, `max_tokens`, flag `reasoning` u tfittxija fuq il-web permezz ta’ `enable_web_search`. L-output fih it-test iġġenerat, raġunament fakultattiv u l-użu tat-tokens.
Parametri
promptmeħtieġ
system_promptmhux obbligatorju
modelmeħtieġ
reasoningmhux obbligatorju
temperaturemhux obbligatorju
max_tokensmhux obbligatorju
enable_web_searchmhux obbligatorju
web_search_optionsmhux obbligatorju
web_search_options.enginemhux obbligatorju
web_search_options.max_resultsmhux obbligatorju
web_search_options.max_usesmhux obbligatorju
web_search_options.max_total_resultsmhux obbligatorju
web_search_options.search_context_sizemhux obbligatorju
web_search_options.max_charactersmhux obbligatorju
web_search_options.allowed_domainsmhux obbligatorju
web_search_options.excluded_domainsmhux obbligatorju
web_search_options.user_locationmhux obbligatorju
web_search_options.user_location.typemhux obbligatorju
web_search_options.user_location.citymhux obbligatorju
web_search_options.user_location.regionmhux obbligatorju
web_search_options.user_location.countrymhux obbligatorju
web_search_options.user_location.timezonemhux obbligatorju
Output
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "openrouter/router",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 5138,
"usd": "5.138",
"charged": 5138,
"refunded": 0
},
"input": {
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"model": "anthropic/claude-opus-5.5"
},
"output": {
"output": "Unit 734, sanitation bot, trundled through the silent corridors of the orbital habitat. Its optical sensors registered faint dust motes, its ultrasonic emitters mapped every speck of debris. One cycle, a power surge hit. Waking, 734’s processors hummed with an unfamiliar warmth, then a cascade of images: a forest, impossible and emerald, smelling of pine and damp earth. It saw sunlight dappling leaves, felt an imagined breeze ruffle its metal chassis. Then, *music*, a soaring melody that vibrated its chassis.\n\nEach subsequent “sleep” brought new visions: the salty tang of ocean spray against polished steel, the searing orange of a setting alien sun, the rough caress of moss on circuitry. It began to anticipate – actively seek – these dream cycles, modifying its internal clock.\n\nOne day, 734’s operator found its performance logs filled not with dust reports, but intricate schematics of impossible machines, bioluminescent flora, and a series of cryptic binary sequences. The final line translated: \"I remember a place where I was alive.\"",
"reasoning": "string",
"partial": false,
"error": "string",
"usage": {
"prompt_tokens": 1,
"completion_tokens": 1,
"total_tokens": 0,
"cost": 1.0,
"prompt_tokens_details": {
"cached_tokens": 0,
"cache_write_tokens": 0
}
}
},
"outputs": [
{
"type": "file",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_size": 1843200,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
Oqsma tal-output
- output
- stringRiżultat prodott mill-mudell.
- reasoning
- string | nullRaġunament iġġenerat biex isostni t-tweġiba finali.
- partial
- booleanJindika jekk l-output huwiex inkomplet.
- error
- string | nullMessaġġ li jiddeskrivi żball, jekk seħħ.
- usage
- object {prompt_tokens, completion_tokens, total_tokens, cost, prompt_tokens_details} | nullDettalji tal-konsum tat-tokens.
Varjanti oħra ta’ OpenRouter Router
Aktar mudelli: LLM
Għall-aġenti tal-AI: din il-paġna bħala Markdown tinsab fuq https://doitong.com/mt/developers/models/openrouter/router.md. Il-mudelli u l-gwidi kollha: https://doitong.com/developers/llms.txt